This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 559424

Summary: mtrr registers set incorrectly on Dell Latitude E4300
Product: [Fedora] Fedora Reporter: Bob Hyatt <hyatt>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: anton, dither, dougsland, gansalmon, gauthier.stephane, itamar, jan.jeseter, jonathan, kernel-maint, mishu
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 18:43:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bob Hyatt 2010-01-27 22:13:06 EST
Description of problem:

MTRR values are broken on a new Dell Latitude E4300.  As a result, glxgear speeds are very slow since write-combining can't be set up properly.


Version-Release number of selected component (if applicable): Fedora 12


How reproducible:  Every time the system is booted


Steps to Reproduce:
1.  Boot system
2.  cat /proc/mtrr to see bogus entry
3.
  
Actual results:


Expected results:


Additional info:

Here's the output from cat /proc/mtrr:

scrappy% cat /proc/mtrr
reg00: base=0x000000000 (    0MB), size=32768MB, count=1: write-back
reg01: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg02: base=0x0ddc00000 ( 3548MB), size=    4MB, count=1: uncachable
reg03: base=0x0de000000 ( 3552MB), size=   32MB, count=1: uncachable
reg04: base=0x11c000000 ( 4544MB), size=   64MB, count=1: uncachable

That first line is the killer.  This machine has 4 gigs of RAM.  /proc/cpuinfo:

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     P9600  @ 2.53GHz
stepping	: 10
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_
tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm ida tpr_shadow vnmi flexpriority
bogomips	: 5054.14
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     P9600  @ 2.53GHz
stepping	: 10
cpu MHz		: 800.000
cache size	: 6144 KB
[......]

This is causing two issues.

(1) glxgears peaks at 500 fps but varies quite a bit down from that.

(2) after booting, within a minute or so, the system almost completely freezes for 45 seconds or so.  Mouse will barely move the cursor.  No windows will pop up and nothing can be done until this freeze ends.  /var/log/messages shows this kind of repeated output, which appears right around the time of the freeze:

[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0
[drm] TV-25: set mode NTSC 480i 0


That can be repeated hundreds or thousands of times, depending on what I don't know.
Comment 1 Bob Hyatt 2010-02-01 21:20:46 EST
Here's an update.  This box has 2x2gb memory modules installed for a total of 4 gigs.  I removed one to reduce it to 2gb total.  The mtrr values did not change at all with respect to that first line that is encompassing 35 of the 36 bits of total physical memory address space on the box.

Thought this might solve the problem since many are having trouble only when stepping over 2gigs on their various boxes.  Dell just released an A14 version of the BIOS.  I downloaded and flashed, with absolutely no change.  

So far, I can't even get the MTRR disable command to work to clear the mtrr stuff completely out so I can try to tune by hand.  Still trying to figure out why that's not working.
Comment 2 dither 2010-02-20 17:28:58 EST
Same bug with mtrr in dell E6400 with intel 4500MHD.

cat /proc/mtrr

reg00: base=0x000000000 (    0MB), size=32768MB, count=1: write-back
reg01: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg02: base=0x0ddc00000 ( 3548MB), size=    4MB, count=1: uncachable
reg03: base=0x0de000000 ( 3552MB), size=   32MB, count=1: uncachable
reg04: base=0x11c000000 ( 4544MB), size=   64MB, count=1: uncachable

tried enable_mtrr_clean_up.
Comment 3 jan.jeseter 2010-02-21 03:34:32 EST
Same bug with mtrr in dell E6500

# cat /proc/mtrr
reg00: base=0x000000000 (    0MB), size=32768MB, count=1: write-back
reg01: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg02: base=0x07dc00000 ( 2012MB), size=    4MB, count=1: uncachable
reg03: base=0x07e000000 ( 2016MB), size=   32MB, count=1: uncachable
Comment 4 Bug Zapper 2010-11-03 19:44:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 18:43:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.